%global momorel 4

Summary: Python library for configuring and running X.
Name: rhpxl
Version: 0.18
Release: %{momorel}m
Source0: %{name}-%{version}.tar.gz
#Source1: vesamodes
#Source2: extramodes
#Patch0: rhpxl-0.18-xorg-path.patch
License: GPL
Group: System Environment/Libraries
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: python-devel, gettext
BuildArch: noarch
ExcludeArch: s390 s390x ppc64
Requires: python >= 2.4
Requires: rhpl, kudzu >= 1.2.0, newt, hwdata >= 0.169
Requires: pyxf86config >= 0.3.2
Requires: xorg-x11-server-Xorg >= 1.0.1
Conflicts: libXfont < 0.99.2-2

%description
The rhpxl (pronounced 'rapunzel') package contains a Python library for
configuring and running X.

%prep
%setup -q
#%%patch0 -p1

%build
%make

%install
rm -rf --preserve-root %{buildroot}
make DESTDIR=%{buildroot} install
mkdir -p %{buildroot}%{_datadir}/rhpxl
##install -m 644 %{SOURCE1} %{buildroot}%{_datadir}/rhpxl/vesamodes
##install -m 644 %{SOURCE2} %{buildroot}%{_datadir}/rhpxl/extramodes

%find_lang %name

%clean
rm -rf --preserve-root %{buildroot}

%files -f %{name}.lang
%defattr(-,root,root)
%doc README ChangeLog COPYING
%{_prefix}/lib/python?.?/site-packages/rhpxl
%{_datadir}/rhpxl
%{_sbindir}/ddcprobe

%changelog
* Thu Jul  6 2006 Yohsuke Ooi <meke@momonga-linux.org>
- (0.18-4m)
- version down 0.18
-- Anaconda-11.0.5 need 0.18

* Sun Jun 25 2006 Yohsuke Ooi <meke@momonga-linux.org>
- (0.19-1m)
- update 0.19

* Fri May 12 2006 Yohsuke Ooi <meke@momonga-linux.org>
- (0.18-3m)
- version down 0.18 
-- Anaconda-11.0.5 need 0.18

* Mon May  8 2006 Yohsuke Ooi <meke@momonga-linux.org>
- (0.19-1m)
- update 0.19

* Fri Mar 31 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.18-2m)
- delete patch0, SOURCE1, and SOURCE2 for xorg-7.0

* Sat Mar 11 2006 Dai OKUYAMA <dai@ouchi.nahi.to>
- (0.18-1m)
- sync with fc-devel

* Thu Jan 19 2006 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.10-2m)
- fix for x86_64

* Thu Jan 19 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.10-1m)
- import from FC

* Wed Jan 11 2006 Peter Jones <pjones@redhat.com> 0.10-1
- If we're on a Mac and can't get DDC/EDID, and our resolution is tiny,
  force 1024x768.

* Wed Dec 21 2005 Chris Lumens <clumens@redhat.com> 0.9-1
- Don't use rhpl.log anymore.
#'

* Fri Dec 09 2005 Jesse Keating <jkeating@redhat.com>
- rebuilt

* Fri Dec 02 2005 Chris Lumens <clumens@redhat.com> 0.8-1
- Attempt to set hsync and vsync from the config file if probing fails
  (Maxim Dzumanenko - #154172).

* Mon Nov 21 2005 Bill Nottingham <notting@redhat.com> - 0.7-1
- fix rhpl.arch.getBaseArch() vs rhpl.getArch() confusion

* Tue Nov 15 2005 Chris Lumens <clumens@redhat.com> 0.6
- Remove xhwstate from path on object creation (#173229).

* Mon Nov 14 2005 Jeremy Katz <katzj@redhat.com> - 0.5.2-1
- drivers now end in .so, not .o

* Mon Nov 14 2005 Jeremy Katz <katzj@redhat.com> - 0.5.1-1
- unscaled bitmap fonts fixed in libXfont so change our fontpaths back

* Sun Nov 13 2005 Jeremy Katz <katzj@redhat.com> - 0.5-1
- update for modular X

* Thu Oct 13 2005 Chris Lumens <clumens@redhat.com> 0.4-2
- Correct python lib directory on 64-bit archs (#170624).

* Wed Oct 12 2005 Chris Lumens <clumens@redhat.com> 0.4-1
- Correct where we look for data files (#170505).
- Translate in rhpxl domain instead of rhpl domain.
- Correct __init__ to import everything.

* Tue Oct 11 2005 Chris Lumens <clumens@redhat.com> 0.3-1
- Moved data files and ddcprobe here from rhpl.

* Tue Oct 11 2005 Chris Lumens <clumens@redhat.com> 0.2-1
- Fix import of simpleconfig.
- Remove references to X sections of rhpl that rhpxl contains.

* Fri Oct 07 2005 Chris Lumens <clumens@redhat.com> 0.1-2
- Fix broken dependancies on platforms with no pyxf86config.

* Thu Oct 06 2005 Chris Lumens <clumens@redhat.com> 0.1-1
- Initial import from rhpl.
